summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAric Belsito <lluixhi@gmail.com>2017-02-05 22:58:50 -0800
committerMichael Palimaka <kensington@gentoo.org>2017-02-11 22:36:50 +1100
commit1445b44d6909745e8725513447d7f193a2a2baf9 (patch)
treec5bd2ae46ee3f4572e79710518a779366c70b23d /dev-lua/mpack
parentapp-emulation/vagrant: loosen dep on dev-ruby/childprocess (diff)
downloadgentoo-1445b44d6909745e8725513447d7f193a2a2baf9.tar.gz
gentoo-1445b44d6909745e8725513447d7f193a2a2baf9.tar.bz2
gentoo-1445b44d6909745e8725513447d7f193a2a2baf9.zip
dev-lua/mpack: version bump to 1.0.4
Diffstat (limited to 'dev-lua/mpack')
-rw-r--r--dev-lua/mpack/Manifest1
-rw-r--r--dev-lua/mpack/mpack-1.0.4.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-lua/mpack/Manifest b/dev-lua/mpack/Manifest
index 9548a14c58f..dd90938af39 100644
--- a/dev-lua/mpack/Manifest
+++ b/dev-lua/mpack/Manifest
@@ -1,2 +1,3 @@
DIST mpack-1.0.2.tar.gz 44671 SHA256 9c570b2aab81b0c56d97cbd8fc483dc431b69510fd9becb4a1845291563e8bc9 SHA512 307ae26799e59224dd624d1f5473c86d5cf975155c58b7ccfd17be98321afb0f7235d06a7a2c50112d4630b3cc7c185c9b307007be5cdbd792819ec2991fa3d2 WHIRLPOOL b5461701898d3e8ab72c92f8d75c4b098986821a3cba281e82a15e495ee4ac2a9efddbd61c542dc3f3cb0cb45f18362652b102dfa8bae690d6c8f4b1b3261911
DIST mpack-1.0.3.tar.gz 45720 SHA256 65eb21cfa9313204ac5296e3b305d752b8422c724b6375caecc6385f0a6d6e22 SHA512 3024d2830d83a7572a648ee6074467e2096dc6af7c92aaf3c6531e4c25c1c57d9853a60f5b2d1f50039ceeb80bae83f8fdc7241fa48f789cb636bba32fc2a9ba WHIRLPOOL 7b79463f4912eba45e65a2bf24ef0dd7787f781333a3bd559e46999277abf96995cef3ac5d3f14e176f89a61062cb0049d4c6f3e93d6d5a6ddf1fc1a09c5a7f0
+DIST mpack-1.0.4.tar.gz 46382 SHA256 0a5d69f3966b31d14faddbd81db53b543fb092c711250ecb0aa5e22d060aa080 SHA512 8e40a562faf8b62137dec0733cbb9006fa7054e5a47bdd128fb4dfd676fac4e4385a23c3d908a4ce2edd65d673db25916695fa74bc08c5316b0c80e571a7442c WHIRLPOOL bd538133a3b5f3723ad8c2c2193821971c0a0d7f4959265309c694db3b0cded7e350fde58b3fe90fd57564e7c9de9ca9f0efc495faec3af12ebba463dffd3e3f
diff --git a/dev-lua/mpack/mpack-1.0.4.ebuild b/dev-lua/mpack/mpack-1.0.4.ebuild
new file mode 100644
index 00000000000..df76ec53639
--- /dev/null
+++ b/dev-lua/mpack/mpack-1.0.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Lua bindings for libmpack"
+HOMEPAGE="https://github.com/tarruda/libmpack/"
+SRC_URI="https://github.com/tarruda/libmpack/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/libmpack-${PV}/binding/lua"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="luajit test"
+
+RDEPEND="!luajit? ( >=dev-lang/lua-5.1:= )
+ luajit? ( dev-lang/luajit:2= )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( dev-lua/busted )"
+
+src_compile() {
+ emake \
+ CC="$(tc-getCC)" \
+ USE_SYSTEM_LUA=yes \
+ LUA_INCLUDE="$($(tc-getPKG_CONFIG) --cflags $(usex luajit 'luajit' 'lua'))" \
+ LUA_LIB="$($(tc-getPKG_CONFIG) --libs $(usex luajit 'luajit' 'lua'))"
+}
+
+src_test() {
+ busted -o gtest test.lua || die
+}
+
+src_install() {
+ emake \
+ DESTDIR="${D}" \
+ USE_SYSTEM_LUA=yes \
+ LUA_CMOD_INSTALLDIR="$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD $(usex luajit 'luajit' 'lua'))" \
+ install
+}